Page MenuHomePhabricator

1.39.0-wmf.14 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
dancy
Release Version
1.39.0-wmf.14
Release Date
Mon, May 30, 12:00 AM

2022 week 22 1.39-wmf.14 Changes wmf/1.39.0-wmf.14

This MediaWiki Train Deployment is scheduled for the week of Monday, May 30th:

Monday May 30thTuesday, May 31stWednesday, June 1stThursday, June 2ndFriday
Backports only.Branch wmf.14 and deploy to Group 0 Wikis.Deploy wmf.14 to Group 1 Wikis.Deploy wmf.14 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.14 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.39.0-wmf.13
Next: 1.39.0-wmf.15

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: dduvall.
thcipriani set the point value for this task to 5.
thcipriani updated Other Assignee, added: dancy; removed: dduvall.
thcipriani added a subscriber: dancy.
Risky Patch! 🚂🔥
Risky Patch! 🚂🔥

Change 801779 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.14 refs T308067

https://gerrit.wikimedia.org/r/801779

Change 801779 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.14 refs T308067

https://gerrit.wikimedia.org/r/801779

Mentioned in SAL (#wikimedia-operations) [2022-05-31T17:22:40Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.14 refs T308067

Mentioned in SAL (#wikimedia-operations) [2022-05-31T17:54:05Z] <jhuneidi@deploy1002> Finished scap: testwikis wikis to 1.39.0-wmf.14 refs T308067 (duration: 31m 24s)

Change 801787 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.14 refs T308067

https://gerrit.wikimedia.org/r/801787

Change 801787 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.14 refs T308067

https://gerrit.wikimedia.org/r/801787

Mentioned in SAL (#wikimedia-operations) [2022-05-31T18:06:20Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.14 refs T308067

Change 802173 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.14 refs T308067

https://gerrit.wikimedia.org/r/802173

Change 802173 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.14 refs T308067

https://gerrit.wikimedia.org/r/802173

Mentioned in SAL (#wikimedia-operations) [2022-06-01T18:11:39Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.39.0-wmf.14 refs T308067

Mentioned in SAL (#wikimedia-operations) [2022-06-01T18:14:41Z] <jhuneidi@deploy1002> Synchronized php: group1 wikis to 1.39.0-wmf.14 refs T308067 (duration: 03m 02s)

I’m not sure if T309770: TimedText namespace appearing on all Wikimedia wiki is a train blocker, but looking at the code, it may cause TimedText namespace appearing on all WMF wikis (in contrast to the former four production and three test wikis), and once a namespace appeared, people may start using it, making removal difficult. I’ll be offline for a few hours now, so I’ll let you decide.

Change 802583 had a related patch set uploaded (by Jeena Huneidi; author: Jeena Huneidi):

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.14 refs T308067

https://gerrit.wikimedia.org/r/802583

Change 802583 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.14 refs T308067

https://gerrit.wikimedia.org/r/802583

Mentioned in SAL (#wikimedia-operations) [2022-06-02T18:08:50Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.39.0-wmf.14 refs T308067

I’m not sure if T309770: TimedText namespace appearing on all Wikimedia wiki is a train blocker, but looking at the code, it may cause TimedText namespace appearing on all WMF wikis (in contrast to the former four production and three test wikis), and once a namespace appeared, people may start using it, making removal difficult. I’ll be offline for a few hours now, so I’ll let you decide.

Seems unexpected, but not broken. Also seems like it will require some thoughtful refactoring. We'll go ahead with the train and not make this a blocker.